#
# Conditional build:
%bcond_without	apidocs		# disable gtk-doc
%bcond_without	static_libs	# don't build static libraries

Summary:	GNOME Structured File library
Summary(pl.UTF-8):	Biblioteka plików strukturalnych dla GNOME
Name:		libgsf
Version:	1.14.41
Release:	1
License:	LGPL v2.1
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libgsf/1.14/%{name}-%{version}.tar.xz
# Source0-md5:	5b039d1b7196e643315abda1c1c349c4
URL:		http://www.gnumeric.org/
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake >= 1:1.7.1
BuildRequires:	bzip2-devel
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gdk-pixbuf2-devel >= 2.0
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.26.0
BuildRequires:	gobject-introspection-devel >= 1.0.0
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.12}
%{?with_apidocs:BuildRequires:	gtk-doc-automake >= 1.12}
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	libxml2-devel >= 1:2.6.26
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	zlib-devel
Requires:	glib2 >= 1:2.26.0
Requires:	libxml2 >= 1:2.6.26
Obsoletes:	libgsf-gnome
Obsoletes:	python-gsf
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A library for reading and writing structured files (e.g. MS OLE and
Zip).

%description -l pl.UTF-8
Biblioteka do odczytu i zapisu plików strukturalnych (np. MS OLE lub
Zip).

%package devel
Summary:	Support files necessary to compile applications with libgsf
Summary(pl.UTF-8):	Pliki do kompilowania aplikacji używających libgsf
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	bzip2-devel
Requires:	glib2-devel >= 1:2.26.0
Requires:	libxml2-devel >= 1:2.6.26
Obsoletes:	libgsf-gnome-devel

%description devel
Headers, and support files necessary to compile applications using
libgsf.

%description devel -l pl.UTF-8
Pliki nagłówkowe i inne potrzebne do kompilowania aplikacji
używających libgsf.

%package static
Summary:	libgsf static libraries
Summary(pl.UTF-8):	Statyczne biblioteki libgsf
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libgsf-gnome-static

%description static
Package contains static libraries.

%description static -l pl.UTF-8
Statyczne biblioteki libgsf.

%package apidocs
Summary:	libgsf API documentation
Summary(pl.UTF-8):	Dokumentacja API libgsf
Group:		Documentation
Requires:	gtk-doc-common
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
libgsf API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API libgsf.

%package -n gsf-office-thumbnailer
Summary:	Simple document thumbnailer
Summary(pl.UTF-8):	Prosty generator miniatur dokumentów
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}

%description -n gsf-office-thumbnailer
Simple document thumbnailer.

%description -n gsf-office-thumbnailer -l pl.UTF-8
Prosty program tworzący miniaturki dokumentów.

%prep
%setup -q

%build
%{?with_apidocs:%{__gtkdocize}}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{!?with_static_libs:--disable-static} \
	%{?with_apidocs:--enable-gtk-doc} \
	--enable-introspection \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README NEWS
%attr(755,root,root) %{_bindir}/gsf
%attr(755,root,root) %{_bindir}/gsf-vba-dump
%attr(755,root,root) %{_libdir}/libgsf-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgsf-1.so.114
%{_libdir}/girepository-1.0/Gsf-1.typelib
%{_mandir}/man1/gsf.1*
%{_mandir}/man1/gsf-vba-dump.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgsf-1.so
%{_libdir}/libgsf-1.la
%dir %{_includedir}/libgsf-1
%{_includedir}/libgsf-1/gsf
%{_datadir}/gir-1.0/Gsf-1.gir
%{_pkgconfigdir}/libgsf-1.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libgsf-1.a
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gsf
%endif

%files -n gsf-office-thumbnailer
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gsf-office-thumbnailer
%{_datadir}/thumbnailers/gsf-office.thumbnailer
%{_mandir}/man1/gsf-office-thumbnailer.1*
%changelog
* Sat Dec 17 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libgsf.git;a=log;h=master

* Sat Dec 03 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 1c405fe
- Update to 1.14.41

* Wed Sep 07 2016 Jakub Bogusz <qboosh@pld-linux.org> d909679
- updated to 1.14.40

* Wed Aug 03 2016 Jakub Bogusz <qboosh@pld-linux.org> 8c8e4e9
- updated to 1.14.39

* Thu Jun 23 2016 Jakub Bogusz <qboosh@pld-linux.org> 3ab4673
- updated to 1.14.38

* Wed Apr 27 2016 Elan Ruusamäe <glen@delfi.ee> 132eee7
- noarch apidocs

* Sat Feb 13 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 5351301
- Update to 1.14.36

* Mon Feb 08 2016 Jakub Bogusz <qboosh@pld-linux.org> 5b50cce
- updated to 1.14.35

* Sun Aug 02 2015 Jakub Bogusz <qboosh@pld-linux.org> fe5bd00
- updated to 1.14.34

* Sat Apr 25 2015 Jakub Bogusz <qboosh@pld-linux.org> aa3839d
- updated libtool version

* Mon Apr 20 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 3e820f9
- Update to 1.14.33

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> deb2652
- x32 rebuild
- release 2 (by relup.sh)

* Thu Feb 12 2015 Jakub Bogusz <qboosh@pld-linux.org> b601797
- updated to 1.14.31

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 518be60
- updated gettext BR

* Sat Mar 22 2014 Jakub Bogusz <qboosh@pld-linux.org> 898816a
- updated to 1.14.30

* Mon Jan 06 2014 Jakub Bogusz <qboosh@pld-linux.org> ea2a861
- updated to 1.14.29

* Fri Aug 02 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 70d0d29
- Update to 1.14.28

* Sun Jul 21 2013 Jakub Bogusz <qboosh@pld-linux.org> bc9778c
- updated to 1.14.27

* Sat Jul 20 2013 Jan Rękorajski <baggins@pld-linux.org> 0b9d94a
- release 2 (by relup.sh)

* Thu Feb 28 2013 Jakub Bogusz <qboosh@pld-linux.org> 5dce760
- updated to 1.14.26
- old python binding obsoleted in favour of pygobject3/introspection interface

* Wed Nov 14 2012 Jakub Bogusz <qboosh@pld-linux.org> 04e70d1
- updated to 1.14.25
- removed outdated no_GConf2_macros patch
- gnome library together with gnome-vfs/bonobo/gconf support has been dropped upstream; added Obsoletes
- added gobject-introspection

